#!/usr/bin/gnuplot

set term png small
set size 0.8,1
set size ratio -1
set out "hk.png"

set xl "k []"
set yl "h []"

set nokey
set angles degrees

load "style.plt"

tmp=0.5
minx=-tmp
maxx=tmp
miny=-tmp
maxy=tmp
set xr [-tmp:tmp]
set yr [-tmp:tmp]

p "<awk '($1==1)' follow2.out" u ($4*cos($6+$7)):($4*sin($6+$7)) w lp ls 8,\
  "<echo -e \"0 1\n1 1\"" u (minx+$1*(maxx-minx)):($2*0) w l ls 10,\
  "<echo -e \"1 0\n1 1\"" u ($1*0):(miny+$2*(maxy-miny)) w l ls 10


