#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "varpit_JS.png"

set xl "time t [Myr]"
set yl "longitude of perihelion varpi [deg]"

set xr [0:0.1]
set yr [0:360]
set ytics 60

load "style.plt"

zero2pi(x) = x>360 ? x-360 : x

p "<awk '($1==-2)' follow2.out" u 2:(zero2pi($6+$7)) t "Jupiter" w p ls 4,\
  "<awk '($1==-3)' follow2.out" u 2:(zero2pi($6+$7)) t "Saturn"  w p ls 5


