#!/usr/bin/gnuplot

set term png small
set out "esigma.png"

set xl "e cos(sigma)"
set yl "e sin(sigma)"

set angles degrees
set size ratio -1
set grid
set nokey

load "style.plt"

tmp=0.3
minx=-tmp
maxx=tmp
miny=-tmp
maxy=tmp
set xr [-tmp:tmp]
set yr [-tmp:tmp]

p "esigma.out" u ($2*cos($3)):($2*sin($3)) w p ls 5,\
  "<echo -e \"0 1\n1 1\"" u (minx+$1*(maxx-minx)):($2*0) w l ls 10,\
  "<echo -e \"1 0\n1 1\"" u ($1*0):(miny+$2*(maxy-miny)) w l ls 10


