#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "sigmat.png"

set xl "time t [Myr]"
set yl "sigma [deg]"

set xr [0:0.001]
set yr [0:360]
set ytics 60
set nokey

load "style.plt"

p "esigma.out" u 1:3 w p ls 4


