#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "varpit.png"

set xl "time t [Myr]"
set yl "longitude of perihelion varpi [deg]"

set xr [0:0.001]
set yr [0:360]
set ytics 60

set nokey

load "style.plt"

zero2pi(x) = x>360 ? x-360 : x

p "<awk '($1==1)' follow2.out" u 2:(zero2pi($6+$7)) w p ls 6


