#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "at_JS.png"

set xl "time t [Myr]"
set yl "semimajor axis a_Jupiter [AU]"
set y2l "a_Saturn [AU]"

set xr [0:0.1]
set yr [5.15:5.25]
set y2r [9.51:9.61]
set ytics nomirror
set y2tics

load "style.plt"

p "<awk '($1==-2)' follow2.out" u 2:3 t "Jupiter" w l ls 4,\
  "<awk '($1==-3)' follow2.out" u 2:3 t "Saturn"  w l ls 5 ax x1y2


