#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "energy.png"

set xl "time t [Myr]"
set yl "energy difference Delta E []"

set xr [0:0.1]

set nokey

p "energy.out" u ($1/365.25e6):($2+9.3474319584695227E-12) w l


