#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "it_JS.png"

set xl "time t [Myr]"
set yl "inclination I [deg]"

set xr [0:0.1]

set key bottom
load "style.plt"

p "<awk '($1==-2)' follow2.out" u 2:5 t "Jupiter" w l ls 4,\
  "<awk '($1==-3)' follow2.out" u 2:5 t "Saturn"  w l ls 5


