#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "nodet.png"

set xl "time t [Myr]"
set yl "longitude of node Omega [deg]"

set xr [0:0.1]
set yr [0:360]
set ytics 60
set nokey

load "style.plt"

p "<awk '($1==1)' follow2.out" u 2:6 w p ls 7


