#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "nu.png"

set xl "time t [Myr]"
set yl "critical angle phi [deg]"

set xr [0:0.1]
set yr [0:360]

set nokey

load "style.plt"

p "nu.out" u 1:2 w p ls 11


