#!/usr/bin/gnuplot

set term png small
set size 1,0.5
set out "perit_JS.png"

set xl "time t [Myr]"
set yl "argument of perihelion omega [deg]"

set xr [0:0.1]
set yr [0:360]
set ytics 60

load "style.plt"

p "<awk '($1==-2)' follow2.out" u 2:7 t "Jupiter" w p ls 4,\
  "<awk '($1==-3)' follow2.out" u 2:7 t "Saturn"  w p ls 5


