#!/usr/bin/gnuplot

set term png small
set size 0.8,1
set size ratio -1
set out "pq.png"

set xl "q []"
set yl "p []"

set nokey
set angles degrees

load "style.plt"

tmp=0.5
minx=-tmp
maxx=tmp
miny=-tmp
maxy=tmp
set xr [-tmp:tmp]
set yr [-tmp:tmp]

p "<awk '($1==1)' follow2.out" u (sin($5)*cos($6)):(sin($5)*sin($6)) w lp ls 9,\
  "<echo -e \"0 1\n1 1\"" u (minx+$1*(maxx-minx)):($2*0) w l ls 10,\
  "<echo -e \"1 0\n1 1\"" u ($1*0):(miny+$2*(maxy-miny)) w l ls 10


