#!/usr/bin/gnuplot

E0=-9.8318321583335306E-12
Myr=1./365.25e6

set xl "time t [Myr]"
set yl "energy E-E(t=0) [(AU/day)^2]"

p "energy.out"             u ($1*Myr):($2-E0) t "SWIFT-RMVS3 (dt = 20 d, CPU = 30 s)   ",\
  "../swift_bs/energy.out" u ($1*Myr):($2-E0) t "SWIFT-BS    (eps = 1e-8, CPU = 20 min)"
pa -1

call "png.plt" "energy_rmvs3_bs_eps_1e-8.png"

p "energy.out"                  u ($1*Myr):($2-E0) t "SWIFT-RMVS3 (dt = 20 d, CPU = 30 s)  "  w d,\
  "../swift_bs_1e-4/energy.out" u ($1*Myr):($2-E0) t "SWIFT-BS    (eps = 1e-4, CPU = 8 min)"
pa -1

call "png.plt" "energy_rmvs3_bs_eps_1e-4.png"

